Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.xmpp
Interface XmppMessageSender

All Superinterfaces:
  ConvertibleFromConfig

All Known Implementing Classes:
  LegacySmackXmppMessageSender, SmackXmppMessageSender

    public interface XmppMessageSender

extends ConvertibleFromConfig

Field Summary
`static String` | `XMPP_GROUPS`
`static String` | `XMPP_RECIPIENTS`
`static String` | `XMPP_REQUIRED`

Method Summary
`List` | `getGroupsToNotify()`
`String` | `getRecipients()`
`boolean` | `isRequired()`
`void` | `setGroupsToNotify(List groupsToNotify)`
`void` | `setIsRequired(boolean isRequired)`
`void` | `setRecipients(String recipients)`
`ErrorCollection` | `validate()` Ensures the user has entered a xmpp configuration that we can authenticate against and connect to

Methods inherited from interface com.atlassian.bamboo.fieldvalue.ConvertibleFromConfig
`populateFromConfig, toConfiguration`

Field Detail

### XMPP_GROUPS

    static final String XMPP_GROUPS

See Also:
  Constant Field Values

### XMPP_REQUIRED

    static final String XMPP_REQUIRED

See Also:
  Constant Field Values

### XMPP_RECIPIENTS

    static final String XMPP_RECIPIENTS

See Also:
  Constant Field Values

Method Detail

### setIsRequired

    void setIsRequired(boolean isRequired)

### isRequired

    boolean isRequired()

### getRecipients

    String getRecipients()

### setRecipients

    void setRecipients(String recipients)

### validate

    ErrorCollection validate()

  Ensures the user has entered a xmpp configuration that we can authenticate against and connect to

  Returns:
    The validation errors. An empty list of there are no errors

### getGroupsToNotify

    List getGroupsToNotify()

### setGroupsToNotify

    void setGroupsToNotify(List groupsToNotify)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.